import { CartService as MedusaCartService, WithRequiredProperty } from "@medusajs/medusa";
import { Cart } from "@medusajs/medusa";
type TotalsConfig = {
    force_taxes?: boolean;
};
declare class CartService extends MedusaCartService {
    constructor();
    decorateTotals(cart: Cart, totalsConfig?: TotalsConfig): Promise<WithRequiredProperty<Cart, "total">>;
    decorateStoreCreditTotals(cart: WithRequiredProperty<Cart, "total">): Promise<WithRequiredProperty<Cart, "total">>;
}
export default CartService;
